Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.commands
Class AddAgentsActsLoaderCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.edit.command.AbstractOverrideableCommand
              org.metaabm.commands.AddAgentsActsCommand
                  org.metaabm.commands.AddAgentsActsLoaderCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command, org.eclipse.emf.edit.command.OverrideableCommand

Direct Known Subclasses:
  AddLoadShapesAgentLoaderCommand

    public class AddAgentsActsLoaderCommand

extends AddAgentsActsCommand

Add agent acts from a specific loader.

Author:
  milesparker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Constructor Summary
`AddAgentsActsLoaderCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.metaabm.SContext parent, org.metaabm.SProjection projection, java.net.URL url, java.util.Collection<?> agents)`

Method Summary
`org.metaabm.act.ALoadAgents` | `getAgentAct()`

Methods inherited from class org.metaabm.commands.AddAgentsActsCommand
`doCanExecute, doExecute, doGetAffectedObjects, doRedo, doUndo, findBuilderFor, findBuilderOf, findCreatorFor, findCreatorOf`

Methods inherited from class org.eclipse.emf.edit.command.AbstractOverrideableCommand
`canExecute, canUndo, dispose, doCanUndo, doDispose, doGetChildrenToCopy, doGetDescription, doGetLabel, doGetResult, execute, getAffectedObjects, getChildrenToCopy, getDescription, getDomain, getLabel, getOverride, getOwnerList, getResult, redo, setOverride, toString, undo`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.command.Command
`chain`

Constructor Detail

### AddAgentsActsLoaderCommand

    public AddAgentsActsLoaderCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                      org.metaabm.SContext parent,
                                      org.metaabm.SProjection projection,
                                      java.net.URL url,
                                      java.util.Collection<?> agents)

Method Detail

### getAgentAct

    public org.metaabm.act.ALoadAgents getAgentAct()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD